## colt 0.1.0

=== DESCRIPTION ===
Package: colt
Type: Package
Title: Command-Line Color Themes
Version: 0.1.0
Authors@R: person("Stefan", "Fleck", email = "stefan.b.fleck@gmail.com", role = c("aut", "cre"))
Maintainer: Stefan Fleck <stefan.b.fleck@gmail.com>
Description: 
  A collection of command-line color styles based on the 'crayon'
  package. 'Colt' styles are defined in themes that can easily be switched, to
  ensure command line output looks nice on dark as well as light consoles.
License: MIT + file LICENSE
Imports: crayon (>= 1.3.4)
Encoding: UTF-8
LazyData: true
RoxygenNote: 6.0.1
Suggests: knitr, rmarkdown
Depends: R (>= 2.10)
URL: https://github.com/s-fleck/colt
BugReports: https://github.com/s-fleck/colt/issues
NeedsCompilation: no
Packaged: 2017-10-01 16:42:02 UTC; hoelk
Author: Stefan Fleck [aut, cre]
Repository: CRAN
Date/Publication: 2017-10-02 11:46:43 UTC

## colt 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: colt
 Type: Package
 Title: Command-Line Color Themes
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: person("Stefan", "Fleck", email = "stefan.b.fleck@gmail.com", role = c("aut", "cre"))
 Maintainer: Stefan Fleck <stefan.b.fleck@gmail.com>
 Description: 
@@ -13,12 +13,12 @@
 Encoding: UTF-8
 LazyData: true
 RoxygenNote: 6.0.1
-Suggests: knitr, rmarkdown
+Suggests: knitr, rmarkdown, rstudioapi
 Depends: R (>= 2.10)
 URL: https://github.com/s-fleck/colt
 BugReports: https://github.com/s-fleck/colt/issues
 NeedsCompilation: no
-Packaged: 2017-10-01 16:42:02 UTC; hoelk
+Packaged: 2017-10-10 04:14:06 UTC; hoelk
 Author: Stefan Fleck [aut, cre]
 Repository: CRAN
-Date/Publication: 2017-10-02 11:46:43 UTC
+Date/Publication: 2017-10-10 04:20:30 UTC

## colt 1.2.0~nojar

=== debian/changelog ===
colt (1.2.0~nojar-2ubuntu1) quantal; urgency=low

  * Transition package to use default java implementation:
    - d/control: Switch BD from openjdk-6-jdk to default-jdk.
    - d/rules: Set source/target = 1.5 to ensure backwards compatible
      bytecode is built.

 -- James Page <james.page@ubuntu.com>  Wed, 01 Aug 2012 14:11:47 +0100

colt (1.2.0~nojar-2) unstable; urgency=low

  * debian/control:
     - Pure Java is arch: all
     - Standards-Version: 3.9.3 (no changes needed)
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jun 2012 09:46:59 +0200

colt (1.2.0~nojar-1) unstable; urgency=low

  * Initial release (Closes: #656741)
  * Remark: The package version "~nojar" was chosen in contrast to the
    previous "~dfsg" to reflect that binary JAR files which are unneeded
    are stripped from the upstream tarball to avoid more trouble with
    licensing issues.  So the only issue with the explicte exclusion of
    military applications remains and is the reason for upload to non-free.
    However at least the final target beast-mcmc could go to contrib.
    Remark2: I'm not sure what "military applications" actually means
    without a proper definition and whether this license is applicable at
    all.

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2012 12:16:20 +0100

=== debian/control ===
Source: colt
Section: non-free/java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9), javahelper (>=0.25), default-jdk, ant, libconcurrent-java
Standards-Version: 3.9.3
Homepage: http://acs.lbl.gov/software/colt/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libcolt-java/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libcolt-java/trunk/

Package: libcolt-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Recommends: ${java:Recommends}
Description: scalable scientific and technical computing in Java
 This distribution provides an infrastructure for scalable scientific
 and technical computing in Java. It is particularly useful in the domain
 of High Energy Physics at CERN: It contains, among others, efficient and
 usable data structures and algorithms for Off-line and On-line Data
 Analysis, Linear Algebra, Multi-dimensional arrays, Statistics,
 Histogramming, Monte Carlo Simulation, Parallel & Concurrent
 Programming. It summons some of the best concepts, designs and
 implementations thought up over time by the community, ports or improves
 them and introduces new approaches where need arises. In overlapping
 areas, it is competitive or superior to toolkits such as STL, Root,
 HTL, CLHEP, TNT, GSL, C-RAND / WIN-RAND, (all C/C++) as well as  IBM
 Array,  JDK 1.2 Collections framework (all Java), in terms of
 performance, functionality and (re)usability. 

Package: libcolt-java-doc
Section: non-free/doc
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: scalable scientific and technical computing in Java (doc)
 This distribution provides an infrastructure for scalable scientific
 and technical computing in Java. It is particularly useful in the domain
 of High Energy Physics at CERN: It contains, among others, efficient and
 usable data structures and algorithms for Off-line and On-line Data
 Analysis, Linear Algebra, Multi-dimensional arrays, Statistics,
 Histogramming, Monte Carlo Simulation, Parallel & Concurrent
 Programming. It summons some of the best concepts, designs and
 implementations thought up over time by the community, ports or improves
 them and introduces new approaches where need arises. In overlapping
 areas, it is competitive or superior to toolkits such as STL, Root,
 HTL, CLHEP, TNT, GSL, C-RAND / WIN-RAND, (all C/C++) as well as  IBM
 Array,  JDK 1.2 Collections framework (all Java), in terms of
 performance, functionality and (re)usability. 
 .
 This package provides the documentation for the library

=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME=/usr/lib/jvm/default-java

%:
	dh $@ --with javahelper

override_dh_auto_build:
	ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 build

override_dh_installdocs:
	dh_installdocs
	rm -rf debian/libcolt-java-doc/usr/share/doc/libcolt-java/licenses

override_dh_clean:
	dh_clean
	rm -rf build
	rm -rf lib/*.jar

get-orig-source:
	uscan --verbose --force-download

=== debian/watch ===
version=3
opts="dversionmangle=s/~nojar//g" \
http://acs.lbl.gov/software/colt/colt-download/releases/colt-([\d\.]+)\.tar\.gz \
    debian debian/get-orig-source

## colt 1.2.0+dfsg

=== debian/changelog ===
colt (1.2.0+dfsg-2) unstable; urgency=low

  * Upload to unstable
    Closes: #720553
  * cme fix dpkg-control
  * anonscm in Vcs fields

 -- Andreas Tille <tille@debian.org>  Fri, 23 Aug 2013 13:58:03 +0200

colt (1.2.0+dfsg-1) experimental; urgency=low

  * debian/copyright:
     - DEP5
     - Add Files-Excluded to document what was removed from original source
  * debian/{control,rules}: use default java implementation
    thanks for the patch to James Page <james.page@ubuntu.com>
    Closes: #683528
  * debian/control: Standards-Version: 3.9.4

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2012 15:52:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: colt
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: non-free/java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9), javahelper (>=0.25), default-jdk, ant, libconcurrent-java
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               javahelper (>=0.25),
+               default-jdk,
+               ant,
+               libconcurrent-java
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libcolt-java/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/libcolt-java/trunk/
 Homepage: http://acs.lbl.gov/software/colt/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libcolt-java/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/libcolt-java/trunk/
 
 Package: libcolt-java
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${java:Depends}
 Recommends: ${java:Recommends}
 Description: scalable scientific and technical computing in Java
  This distribution provides an infrastructure for scalable scientific
@@ -31,9 +35,10 @@
  performance, functionality and (re)usability. 
 
 Package: libcolt-java-doc
+Architecture: all
 Section: non-free/doc
-Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}
+Depends: ${java:Depends},
+         ${misc:Depends}
 Recommends: ${java:Recommends}
 Description: scalable scientific and technical computing in Java (doc)
  This distribution provides an infrastructure for scalable scientific
@@ -51,3 +56,4 @@
  performance, functionality and (re)usability. 
  .
  This package provides the documentation for the library
+

=== debian/rules ===
--- 
+++ 
@@ -18,4 +18,11 @@
 	rm -rf lib/*.jar
 
 get-orig-source:
-	uscan --verbose --force-download
+	mkdir -p ../tarballs
+#	uscan --verbose --force-download --destdir ../tarballs
+# Remark: The following uscan command requires devscripts > 2.12.4 which is not
+#         yet released at the time of this package release.  The code can be obtained
+#         via
+#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
+#         and then use scripts/uscan.pl
+	uscan --verbose --force-download --repack-compression xz --destdir ../tarballs

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//g" \
http://acs.lbl.gov/software/colt/colt-download/releases/colt-([\d\.]+)\.tar\.gz \
    debian debian/get-orig-source
